EBook::Ishmael(3)

NAME
EBook::Ishmael - EBook dumper

SYNOPSIS
  use EBook::Ishmael;

  my $ishmael = EBook::Ishmael->init();
  $ishmael->run();

DESCRIPTION
EBook::Ishmael is the workhorse module for ishmael. If you're looking for user documentation, you should consult its manual instead of this (this is developer documentation).

METHODS

  $i = EBook::Ishmael->init()
Reads @ARGV and returns a blessed "EBook::Ishmael" object. Consult the manual for ishmael for a list of options that are available.

  $i->text()
Dumps ebook file to text, default run mode.

  $i->meta()
Dumps ebook metadata, "--metadata" mode.

  $i->meta_ishmael()
Dumps ebook metadata, "--metadata=ishmael" mode.

  $i->meta_json($pretty)
Dumps ebook metadata in JSON form, "--metadata=p?json" mode.

  $i->meta_xml($pretty)
Dumps ebook metadata in XML form, "--metadata=p?xml" mode.

  $i->id()
Identify the format of the given ebook, "--identify" mode.

  $i->html()
Dump the HTML-ified contents of a given ebook, "--html" mode.

  $i->raw()
Dump the raw, unformatted text contents of a given ebook, "--raw" mode.

  $i->cover()
Dump the binary data of the cover image of a given ebook, if one is present, "--cover" mode.

  $i->run()
Runs ishmael based on the parameters processed during "init()".

AUTHOR
Written by Samuel Young, <samyoung12788@gmail.com>.

This project's source can be found on its Codeberg Page <https://codeberg.org/1-1sam/ishmael>. Comments and pull requests are welcome!

COPYRIGHT
Copyright (C) 2025 Samuel Young

This program is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.

SEE ALSO
ishmael